TIPS & TRICKS
     
 

Some time we find it cumbersome to hide all the planes of a huge assembly file in one go. Here is an script using which you can hide all the planes in one go -

Language="VBSCRIPT"

Sub CATMain()

Set productDocument1 = CATIA.ActiveDocument

Set selection1 = productDocument1.Selection

selection1.Search "CATPrtSearch.Plane.Visibility=Visible,all"

Set VisPropSet1 = Selection1.VisProperties

VisPropSet1.SetShow catVisPropertyNoShowAttr

End Sub

This is a generic script it can be modified as per purpose to perform the same activity for other elements also.

 
© 2008 EDS Technologies.